
QGIS Application - Bug report #14021

changing a value in the advanced settings editor makes qgis crash

2015-12-21 11:47 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22034

Description

subject says it all, tested on master/osgeo4w.

Associated revisions

Revision bf4ad792 - 2015-12-22 02:56 PM - Alessandro Pasotti

Storing a pointer to QSettings instead of using stack

The settings were allocated in the stack

causing a segfault when accessed from the slot

Fixes #14021

History

#1 - 2015-12-22 05:50 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Status changed from Open to In Progress

#2 - 2015-12-22 05:59 AM - Alessandro Pasotti

Fixed in https://github.com/qgis/QGIS/pull/2607

#3 - 2015-12-22 06:41 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Fixed in commit:ca37d004ac
